package WWWServer;

import java.net.*;
import java.io.*;

class ServerThread extends Thread
{

	ServerThread()
    {
    	super("ServerThread");
    }

  public void run()
    	{
     ServerSocket serverSocket = null;
     boolean listening = true;

     try {
          serverSocket = new ServerSocket(Main.WWW_PORT);
          } catch (IOException e) {
          System.err.println("Could not listen on port: " + Main.WWW_PORT + ", " + e.getMessage());
          System.exit(1);
          }
  	 System.out.println("Server thread start!");
     while (listening)
     	{
        Socket clientSocket = null;
        try {
            clientSocket = serverSocket.accept();
            } catch (IOException e) {
                System.err.println("Accept failed: " + Main.WWW_PORT + ", " + e.getMessage());
                continue;
            }
        new ConnectThread(clientSocket).start();
        }

        try {
            serverSocket.close();
        } catch (IOException e) {
            System.err.println("Could not close server socket." + e.getMessage());
        }
     }
}
